Subject: Re: [Roll] Status change on Trickle I-D

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 02 Aug 2010 10:01:23 +0200

Le 31/07/2010 22:40, JP Vasseur a écrit :
>
> On Jul 31, 2010, at 5:05 PM, Alexandru Petrescu wrote:
>
>> Le 30/07/2010 22:54, JP Vasseur a écrit :
>>>
>>> On Jul 30, 2010, at 2:09 PM, Pascal Thubert (pthubert) wrote:
>>>
>>>> Alex:
>>>>
>>>> We need to be very clear that the WG is chartered for Standard
>>>> Track, not Informational. So RPL is and will stay on that
>>>> track.
>>>
>>> That's correct.
>>>
>>>> Moving Trickle to standard track is a good move, highly
>>>> deserved for a method that's well understood and proven, and I
>>>>  support it 100%.
>>>>
>>>
>>> As a WG LC, I do favor to have the trickle ID move to Std track
>>> too.
>>
>> Would Trickle Stds Track mean it is mandatory in order to implement
>> RPL?
>>
>
> If you want Alex I can give you a call and explain the process next
> week. In a nutshell, Trickle is a normative reference (answer to your
> question is of course "yes") and RPL is std track according to our
> charter. Now we can either have the trickle ID be an informative ref
> in which case we have what we call a downref or simply move trickle
> to Std track.

Ok.  If Trickle is put as Informative reference in RPL - will we still
have a 'downref' problem?  I don't think so.

I think a downref/downward problem appears only when the referred
document is already StdsTrack, and problem be solved by simply
annotating as 'lower maturity'.

> For the process in general, let me know if you need more pointers to
>  understand the process.

Yes, please send in.  I am only aware of RFC4897 "Handling Normative
References to Standards-Track Documents".

Alex

>
> Thanks.
>
> JP.
>
>> Alex
>>
>>>
>>> JP.
>>>
>>>> Safe trip back,
>>>>
>>>> Pascal
>>>>
>>>>> -----Original Message----- From: [email-masked]
>>>>> [mailto:[email-masked]] On Behalf
>>>> Of
>>>>> Alexandru Petrescu Sent: Friday, July 30, 2010 8:19 AM To:
>>>>> [email-masked] Subject: [Roll] Status change on Trickle I-D
>>>>> (was: Draft ROLL WG minutesposted)
>>>>>
>>>>>> 5) The Trickle Algorithm - draft-levis-roll-trickle-02
>>>>>> (Phil - 5mn) [160] Quick update on the changes in -02.
>>>>>> Currently in LC.
>>>>>>
>>>>>> JP> ID is a normative reference in RPL core spec (thus we
>>>>>> have a downref). Discussion on ID status JP> Will come back
>>>>>> to the list to consider status change (informational to
>>>>>> standard track)
>>>>>
>>>>> Just a quick note to consider more ways to solve this
>>>>> problem (RPL
>>>> spec
>>>>> 'downref'erencing a draft it fully relies on):
>>>>>
>>>>> -move draft-ietf-roll-trickle in the Informative References
>>>>> section. This implies making Trickle parameters less
>>>>> mandatory in RPL. -change the track of the base spec to
>>>>> Informational (this implies
>>>> change to
>>>>> communication to SDO requiring this RP, I suppose).
>>>>>
>>>>> Also worth mentioning the use of BCP tag on the Trickle
>>>>> draft...
>>>> Trickle being
>>>>> common practice in widespread use yet not really a protocol
>>>>> (timer management).
>>>>>
>>>>> These may have already been considered,
>>>>>
>>>>> Alex _______________________________________________ Roll
>>>>> mailing list [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/roll
>>>> _______________________________________________ Roll mailing
>>>> list [email-masked] https://www.ietf.org/mailman/listinfo/roll
>>>
>>>
>>
>
>

---

From: JP Vasseur <[email-masked]>
Date: Mon, 2 Aug 2010 10:19:47 +0200

Hi Alex,

OK I'll try to call you to explain ...

If Trickle moves to Std track, the problem is solved. Otherwise, we  
have a downref issue, which
is solvable.

Can you simply say what you would lean toward for the trickle ID ?
	Informational
	Standard

Thanks.

JP.

---

From: JP Vasseur <[email-masked]>
Date: Mon, 2 Aug 2010 10:26:38 +0200

Dear all,

Several of you expressed their preferences already. Others could you  
please chime in ?
(a) Move Trickle on Std track (which as I explained in other emails  
sorts out the downref issue) - 4 in Favor so far
(b) Keep it on the Informational Track

Thanks.

JP.

Begin forwarded message:

> From: JP Vasseur <[email-masked]>
> Date: August 2, 2010 10:19:47 AM CEDT
> To: Alexandru Petrescu <[email-masked]>
> Cc: ROLL WG <[email-masked]>
> Subject: Re: [Roll] Status change on Trickle I-D
>
> Hi Alex,
>
> _______________________________________________
> Roll mailing list
> [email-masked]

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 02 Aug 2010 11:10:04 +0200

Le 02/08/2010 10:19, JP Vasseur a écrit :
> If Trickle moves to Std track, the problem is solved.

I think if one puts Trickle on Stds Track then there should be a
note in RPL saying Trickle is "lower maturity", as RFC4897 recommends.

> Otherwise, we have a downref issue,

No, you have a downref (or downward) issue _only_ if you put Trickle on
Stds Track.  If you keep Trickle on INFORMATIONAL, and make the
reference "Informative" then you have no problem.

If you keep Trickle on INFORMATIONAL and keep Trickle referred as
"Normative Reference" then you simply have a wrong document, not
necessarily a "downref".  It becomes a downref or downward problem when
you put it on StdsTrack.

> which is solvable.

There exist a solution to the downref problem.

But here we don't have a downref problem, I believe.  You are about to
transform the "wrong document" problem (Normative reference pointing to
an INFORMATIONAL document) into a downref problem.

Alex

> Informational Standard
>>>>>> We need to be very clear that the WG is chartered for
>>>>>> Standard Track, not Informational. So RPL is and will stay
>>>>>>  on that track.
>>>>>
>>>>> That's correct.
>>>>>
>>>>>> deserved for a method that's well understood and proven,
>>>>>> and I support it 100%.
>>>>>>
>>>>>
>>>>> As a WG LC, I do favor to have the trickle ID move to Std
>>>>> track too.
>>>>
>>>> Would Trickle Stds Track mean it is mandatory in order to
>>>> implement RPL?
>>>>
>>>
>>> If you want Alex I can give you a call and explain the process
>>> next week. In a nutshell, Trickle is a normative reference
>>> (answer to your question is of course "yes") and RPL is std track
>>> according to our charter. Now we can either have the trickle ID
>>> be an informative ref in which case we have what we call a
>>> downref or simply move trickle to Std track.
>>
>> Ok. If Trickle is put as Informative reference in RPL - will we
>> still have a 'downref' problem? I don't think so.
>>
>>> For the process in general, let me know if you need more pointers
>>> to understand the process.
>>
>> Yes, please send in. I am only aware of RFC4897 "Handling
>> Normative References to Standards-Track Documents".
>>
>> Alex
>>
>>
>>>
>>> Thanks.
>>>
>>> JP.
>>>
>>>> Alex
>>>>
>>>>>
>>>>> JP.
>>>>>
>>>>>> Safe trip back,
>>>>>>
>>>>>> Pascal
>>>>>>
>>>>>>> Alexandru Petrescu Sent: Friday, July 30, 2010 8:19 AM
>>>>>>> To: [email-masked] Subject: [Roll] Status change on
>>>>>>> Trickle I-D (was: Draft ROLL WG minutesposted)
>>>>>>>
>>>>>>>> JP> ID is a normative reference in RPL core spec (thus
>>>>>>>>  we have a downref). Discussion on ID status JP> Will
>>>>>>>> come back to the list to consider status change
>>>>>>>> (informational to standard track)
>>>>>>>
>>>>>>> -move draft-ietf-roll-trickle in the Informative
>>>>>>> References section. This implies making Trickle
>>>>>>> parameters less mandatory in RPL. -change the track of
>>>>>>> the base spec to Informational (this implies
>>>>>> change to
>>>>>>> common practice in widespread use yet not really a
>>>>>>> protocol (timer management).
>>>>>>>
>>>>>>> Alex _______________________________________________
>>>>>>> Roll mailing list [email-masked]
>>>>>> _______________________________________________ Roll

---

From: JP Vasseur <[email-masked]>
Date: Mon, 2 Aug 2010 12:33:50 +0200

> necessarily a "downref".  It becomes a downref or downward problem  

=> Alex you keep mis-understanding. Again I propose to try to call you  
and explain.
Trickle is a normative reference for RPL, there is no question about  
(co-chair hat on,
see your AD too if you need a confirmation).

For the process, I'll try to call you and explain. Feel free to tell  
us if you are OK to move
trickle to Std.

JP.

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 02 Aug 2010 13:54:43 +0200

I think we misunderstand each other altogether because I rely on RFCs
whereas you rely on the current thinking among Chairs, ADs - in which
case my comments are just comments, see below.

Le 02/08/2010 12:33, JP Vasseur a écrit :
>> No, you have a downref (or downward) issue _only_ if you put
>> Trickle on Stds Track. If you keep Trickle on INFORMATIONAL, and
>> make the reference "Informative" then you have no problem.
>>
>> necessarily a "downref". It becomes a downref or downward problem
>> when you put it on StdsTrack.
>
> => Alex you keep mis-understanding. Again I propose to try to call
> you and explain. Trickle is a normative reference for RPL, there is
> no question about (co-chair hat on, see your AD too if you need a
> confirmation).
>
> us if you are OK to move trickle to Std.

Let me unfold the scenario showing that Trickle on StdsTrack may not
be the best thing to do, by the interest (quick proceeding to IESG,
mandatory Trickle offering great features).

For example, you insist that because Trickle is referred to as Normative
by RPL then we need to make it StdsTrack, such as to avoid 'downref'
problem.  This logic is contrary to RFC3967 which allows for INFORMATIVE
Normative references; it says "There are a number of circumstances in
which an IETF document may need to make a normative reference to a
document at a lower maturity level [...]  o  A standards track document
may need to refer to a protocol or algorithm developed by an external
body but modified, adapted, or profiled by an IETF informational RFC
[...]" [...] and especially this:

"  Once a specific down reference to a particular document has been
    accepted by the community (e.g., has been mentioned in several Last
    Calls), an Area Director may waive subsequent notices in the Last
    Call of down references to it."

Do we accept the down reference?  I do.  Your question to the WG does
not ask this acceptance, it rather asks "INFORMATIONAL vs StdsTrack",
which is a poor indicator of whether we have accepted the downref or 
not, IMHO.

Moreover - by that RFC, your problem (downref) could quickly be solved
by an AD waiving subsequent notices in the LC of the down references
(i.e. when the Trickle draft is LC'ed), and keeping Trickle as
INFORMATIONAL.  This is faster to IESG, IMHO.

OTOH, ok, accept for a second we don't do Trickle INFORMATIONAL but Stds
Track.  Then we fall on RFC4897, by which one has to do the following:
"  An author or editor who requires a normative downward reference to a
    Standards-Track RFC uses the following very simple procedure:

    o  The reference text (i.e., in the "Normative References" section of
       the source document) is written as usual.
    o  A note is included in the reference text that indicates that the
       reference is to a target document of a lower maturity level, that
       some caution should be used since it may be less stable than the
       document from which it is being referenced, and, optionally,
       explaining why the downward reference is appropriate."

I.e. you have to spin RPL draf-12, and you have to say Trickle is less
mature than RPL.  I do not know whether you agree with this intention,
but that's what RFC4897 normally requires.  If you agree with the
intention - then I am fine, I will check later the RPL document see
whether it says "Trickle less mature" somewhere.

Again, these are non-blocking comments.  You seem to have more people
who need Trickle on the StdsTrack anyways, and I typically abide to
consensus and Chairs' indications.

(this discussion may interest the RPL HbH, RH drafts too, as it concerns
Trickle in the same way).

Alex

>> But here we don't have a downref problem, I believe. You are about
>> to transform the "wrong document" problem (Normative reference
>> pointing to an INFORMATIONAL document) into a downref problem.
>>
>> Alex
>>
>>> Can you simply say what you would lean toward for the trickle ID
>>> ? Informational Standard
>>>
>>> Thanks.
>>>
>>> JP.
>>>
>>>>>>>> Standard Track, not Informational. So RPL is and will
>>>>>>>> stay on that track.
>>>>>>>
>>>>>>> That's correct.
>>>>>>>
>>>>>>>> deserved for a method that's well understood and
>>>>>>>> proven, and I support it 100%.
>>>>>>>>
>>>>>>>
>>>>> If you want Alex I can give you a call and explain the
>>>>> process next week. In a nutshell, Trickle is a normative
>>>>> reference (answer to your question is of course "yes") and
>>>>> RPL is std track according to our charter. Now we can either
>>>>> have the trickle ID be an informative ref in which case we
>>>>> have what we call a downref or simply move trickle to Std
>>>>> track.
>>>>
>>>> I think a downref/downward problem appears only when the
>>>> referred document is already StdsTrack, and problem be solved
>>>> by simply annotating as 'lower maturity'.
>>>>
>>>>> For the process in general, let me know if you need more
>>>>> pointers to understand the process.
>>>>
>>>>>>>>> -----Original Message----- From:
>>>>>>>>> [email-masked] [mailto:[email-masked]]
>>>>>>>>> On Behalf
>>>>>>>> Of
>>>>>>>>> Alexandru Petrescu Sent: Friday, July 30, 2010 8:19
>>>>>>>>> AM To: [email-masked] Subject: [Roll] Status change on
>>>>>>>>>> 5) The Trickle Algorithm -
>>>>>>>>>> draft-levis-roll-trickle-02 (Phil - 5mn) [160]
>>>>>>>>>> Quick update on the changes in -02. Currently in
>>>>>>>>>> LC.
>>>>>>>>>>
>>>>>>>>>> JP> ID is a normative reference in RPL core spec
>>>>>>>>>> (thus we have a downref). Discussion on ID status
>>>>>>>>>> JP> Will come back to the list to consider status
>>>>>>>>>> change (informational to standard track)
>>>>>>>>>
>>>>>>>>> parameters less mandatory in RPL. -change the track
>>>>>>>>> of the base spec to Informational (this implies
>>>>>>>> change to
>>>>>>>>> Also worth mentioning the use of BCP tag on the
>>>>>>>>> Trickle draft...
>>>>>>>> Trickle being

---

From: Philip Levis <[email-masked]>
Date: Mon, 2 Aug 2010 07:25:39 -0700

> an INFORMATIONAL document) into a downref problem.

It's worth noting that Trickle used to be part of the RPL draft. The WG agreed that moving Trickle into a separate draft was a good idea because it would allow simpler references in future drafts (e.g., Jonathan and Richard's Trickle-based multicast). This happened in version -08. I am amazed that my accidentally marking the draft as Informational (due to being an IETF neophyte) could cause such a disagreement.

A cursory reading of the draft text would show that Trickle is a normative reference (Section 8.3 in -11). Changing fundamental technical features of RPL for easily solved procedural reasons seems like terrible engineering and design, IMHO.

Phil

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 02 Aug 2010 17:27:18 +0200

Le 02/08/2010 16:25, Philip Levis a écrit :
> It's worth noting that Trickle used to be part of the RPL draft. The
>  WG agreed that moving Trickle into a separate draft was a good idea
>  because it would allow simpler references in future drafts (e.g.,
> Jonathan and Richard's Trickle-based multicast). This happened in
> version -08. I am amazed that my accidentally marking the draft as
> Informational (due to being an IETF neophyte) could cause such a
> disagreement.
>
> A cursory reading of the draft text would show that Trickle is a
> normative reference (Section 8.3 in -11).

Yes, Trickle I-D is a Normative reference in RPL -11.

> Changing fundamental technical features of RPL for easily solved
> procedural reasons seems like terrible engineering and design, IMHO.

Philip: do you think RPL draft would go faster to IESG if Trickle
Normative ref were on StdsTrack?

I believe it would be slower than if it were INFORMATIONAL. (an LC for 
Trickle would be needed, etc.)

IMHO

Alex

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 2 Aug 2010 17:43:22 +0200

Dear Alex,

1)	A downref is if a document has a normative reference to a document at a lower maturity level,
	e.g. a std. track document referencing an experimental or informational RFC normatively.
	
	A "proposed standard" referencing another "proposed standard" is not a downref, ever.
	
	I believe that what the WG chairs were suggesting was for RPL and TRICKLE to both be
	published as "proposed standard", i.e. no downref.

2)	Observing what I have seen in the RTG area, most ADs have IETF LCed also experimental
	and informational documents in the past years. This is a healthy thing to do. I believe that,
	therefore, the choice of maturity level (exp., inf, PS, DS, ...) would not impact the publication 
	timing.

	(In general, choosing the "maturity level" of the document based on "how to publish it fast"
	would be a bad strategy).

3)	I believe that it is not unheard of to move several documents forward together, i.e. to WGLC,
	LC them together - if they have mutual reference, or if they happen to be ready at the same
	time. In general, the IETF and even the IESG seems to be rather good at multitasking, and it
	may even be an advantage to get both to review concurrently.

4)	Downref's, as in the case where RPL would be on std. track and TRICKLE as informational,
	tends to require explanations to the ADs. Reasonably so, I would say. However often to
	more than one AD ;) I'm speaking from experience in saying that.

5)	My conclusion is, that the most smooth sailing would ensure by having the TRICKLE document
	at the same maturity level as RPL. Which means publishing both as std. track or both as
	informational.

6)	My personal recommendation is to aim to move both forward on std. track. If TRICKLE is 
	considered "ready" by the WG, nothing prevents the chairs to consult with the ADs and
	progress the document, with RPL following shortly (possibly in part in parallel).

So, while I am not Phil, I will give you my opinion: the maturity level chosen for TRICKLE will neither slow down nor speed up the document progress, and the maturity level for publication should be chosen according to (shocking, I know) the actual maturity of the specification.

For the below.....

>>>> Otherwise, we have a downref issue,

I do not think that your reading and understanding of 4897 is accurate. If RPL and Trickle are both on std. track and being forwarded as PS, then there is no downref issue.

Thomas

On Aug 2, 2010, at 17:27 , Alexandru Petrescu wrote:

> I believe it would be slower than if it were INFORMATIONAL. (an LC for Trickle would be needed, etc.)
> 
> IMHO
> 
> Alex
>

---

From: Kris Pister <[email-masked]>
Date: Mon, 02 Aug 2010 09:45:18 -0700

I agree that trickle should move to standards track.

ksjp

Pascal Thubert (pthubert) wrote:
> Alex:
>
> We need to be very clear that the WG is chartered for Standard Track,
> not Informational. So RPL is and will stay on that track.
> Moving Trickle to standard track is a good move, highly deserved for a
> method that's well understood and proven, and I support it 100%.
>
> Safe trip back,
>
> Pascal
>
>   
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf
>>     
> Of
>   
>> Alexandru Petrescu
>> To: [email-masked]
>> Subject: [Roll] Status change on Trickle I-D (was: Draft ROLL WG
>> minutesposted)
>>
>>     
>>> 5) The Trickle Algorithm - draft-levis-roll-trickle-02  (Phil - 5mn)
>>> [160] Quick update on the changes in -02. Currently in LC.
>>>
>>> JP> ID is a normative reference in RPL core spec (thus we have a
>>> downref). Discussion on ID status JP> Will come back to the list to
>>> consider status change (informational to standard track)
>>>       
>> Just a quick note to consider more ways to solve this problem (RPL
>>     
> spec
>   
>> -move draft-ietf-roll-trickle in the Informative References section.
>>  This implies making Trickle parameters less mandatory in RPL.
>> -change the track of the base spec to Informational (this implies
>>     
> change to
>   
>> Also worth mentioning the use of BCP tag on the Trickle draft...
>>     
> Trickle being
>   
>> common practice in widespread use yet not really a protocol (timer
>> management).
>>

---

From: Matteo Paris <[email-masked]>
Date: Mon, 2 Aug 2010 13:04:19 -0400

I choose (a), move Trickle on Std track.

Matteo

At 10:26 AM +0200 8/2/10, JP Vasseur wrote:
>Dear all,
>
>Several of you expressed their preferences 
>already. Others could you please chime in ?
>(a) Move Trickle on Std track (which as I 
>explained in other emails sorts out the downref 
>issue) - 4 in Favor so far
>>From: JP Vasseur <<mailto:[email-masked]>[email-masked]>
>>To: Alexandru Petrescu 
>><<mailto:[email-masked]>[email-masked]>
>>Cc: ROLL WG <<mailto:[email-masked]>[email-masked]>
>>If Trickle moves to Std track, the problem is 
>>solved. Otherwise, we have a downref issue, 
>>which
>>is solvable.
>>
>>>>>>>><mailto:[email-masked]>[email-masked]
>>>>>>>>
>>>>>>>>[<mailto:[email-masked]>mailto:[email-masked]] On Behalf
>>>>>>>>
>>>>>>>Of
>>>>>>>
>>>>>>>><mailto:[email-masked]>[email-masked] 
>>>>>>>>Subject: [Roll] Status change on Trickle 
>>>>>>>>I-D
>>>>>>>>
>>>>>>>>mailing list <mailto:[email-masked]>[email-masked]
>>>>>>>>
>>>>>>>><https://www.ietf.org/mailman/listinfo/roll>https://www.ietf.org/mailman/listinfo/roll
>>>>>>>>
>>>>>>>list [email-masked] 
>>>>>>><https://www.ietf.org/mailman/listinfo/roll>https://www.ietf.org/mailman/listinfo/roll
>>>>>>>
>>>>>>
>>>>>>
>>>>>
>>>>
>>>>
>>>
>>>
>>
>><mailto:[email-masked]>[email-masked]

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 02 Aug 2010 21:05:32 +0200

Le 02/08/2010 17:43, Thomas Heide Clausen a écrit :
> Dear Alex,
>
> 1)	A downref is if a document has a normative reference to a
> document at a lower maturity level, e.g. a std. track document
> referencing an experimental or informational RFC normatively.
>

Thomas - where is "downref" defined that way?

I see the "down-ref" RFC3967 to mean "downward" reference as you say -
towards INFORMATIONAL or EXPERIMENTAL.

I see however "downward" reference in RFC4897 to be "[...]  a normative
downward reference to a Standards-Track RFC" - this seems to contradict
what you say (PS ref'ing another PS can't be a downref.)

> I believe that what the WG chairs were suggesting was for RPL and
> TRICKLE to both be published as "proposed standard", i.e. no
> downref.

Ok, that's a good suggestion, provided we see LC on Trickle, no?

> 2)	Observing what I have seen in the RTG area, most ADs have IETF
> LCed also experimental and informational documents in the past
> years. This is a healthy thing to do.

I think so too.

> I believe that, therefore, the choice of maturity level (exp., inf,
> PS, DS, ...) would not impact the publication timing.
>
> (In general, choosing the "maturity level" of the document based on
> "how to publish it fast" would be a bad strategy).
>
> 3)	I believe that it is not unheard of to move several documents
> forward together, i.e. to WGLC, LC them together

Right, I agree.  However the LC was _only_ on the RPL doc.

If by 'RPL' Chairs meant actually RPL+Trickle + probably RH... then that
LC was different indeed.

> - if they have mutual reference, or if they happen to be ready at
> the same time. In general, the IETF and even the IESG seems to be
> rather good at multitasking, and it may even be an advantage to get
> both to review concurrently.
>
> 4)	Downref's, as in the case where RPL would be on std. track and
> TRICKLE as informational, tends to require explanations to the ADs.

Right...

But forwarding a draft to IESG which has't been LC'ed would also require
explanations to ADs I believe.

> Reasonably so, I would say. However often to more than one AD ;) I'm
> speaking from experience in saying that.

:-)

> 5)	My conclusion is, that the most smooth sailing would ensure by
> having the TRICKLE document at the same maturity level as RPL. Which
> means publishing both as std. track or both as informational.

Ok, I read that.  In this case, smooth sailing would be ensured _if_ we
had a LC on Trickle I-D.

> 6)	My personal recommendation is to aim to move both forward on std.
> track. If TRICKLE is considered "ready" by the WG, nothing prevents
> the chairs to consult with the ADs and progress the document, with
> RPL following shortly (possibly in part in parallel).
>
> So, while I am not Phil, I will give you my opinion: the maturity
> level chosen for TRICKLE will neither slow down nor speed up the
> document progress, and the maturity level for publication should be
> chosen according to (shocking, I know) the actual maturity of the
> specification.
>
> For the below.....
>
>>>> I think if one puts Trickle on Stds Track then there should be
>>>> a note in RPL saying Trickle is "lower maturity", as RFC4897
>>>> recommends.
>>>>
> I do not think that your reading and understanding of 4897 is
> accurate. If RPL and Trickle are both on std. track and being
> forwarded as PS, then there is no downref issue.

I see what you mean - you propose to forward Trickle I-D together with
the RPL I-D simultaneously to IESG - makes some sense if the last LC
covered it too.

And by logical extension, was the RPL LC actually about all these documents:
    draft-ietf-roll-rpl-10
    draft-ietf-6man-rpl-option-00
    draft-ietf-6man-rpl-routing-header-00
    draft-ietf-roll-routing-metrics-08
    draft-ietf-roll-trickle-02

(the last 4 are all Normative references and on the StdsTrack)

Alex

>>>> I think if one puts Trickle on Stds Track then there should be
>>>> a note in RPL saying Trickle is "lower maturity", as RFC4897
>>>> recommends.
>>>>
>>>> Trickle on Stds Track.  If you keep Trickle on INFORMATIONAL,
>>>> and make the reference "Informative" then you have no problem.
>>>>
>>>> If you keep Trickle on INFORMATIONAL and keep Trickle referred
>>>> as "Normative Reference" then you simply have a wrong document,
>>>> not necessarily a "downref".  It becomes a downref or downward
>>>> problem when you put it on StdsTrack.
>>>>
>>>>> which is solvable.
>>>>
>>>> But here we don't have a downref problem, I believe.  You are
>>>> about to transform the "wrong document" problem (Normative
>>>> reference pointing to an INFORMATIONAL document) into a
>>>> downref problem.
>>>
>>> It's worth noting that Trickle used to be part of the RPL draft.
>>> The WG agreed that moving Trickle into a separate draft was a
>>> good idea because it would allow simpler references in future
>>> drafts (e.g., Jonathan and Richard's Trickle-based multicast).
>>> This happened in version -08. I am amazed that my accidentally
>>> marking the draft as Informational (due to being an IETF
>>> neophyte) could cause such a disagreement.
>>>
>> _______________________________________________ Roll mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/roll
>
>

---

From: Philip Levis <[email-masked]>
Date: Mon, 2 Aug 2010 13:19:28 -0700

> If by 'RPL' Chairs meant actually RPL+Trickle + probably RH... then that

Alex,

Please pay closer attention:

> Date: July 28, 2010 1:05:41 AM PDT
> To: ROLL WG <[email-masked]>
> Subject: [Roll] WG Last Call on draft-ietf-roll-trickle-02
> 
> Dear WG,
> 
> draft-ietf-roll-trickle-02 is stable and now ready for WG Last Call.
> 
> This starts a 2-week Working Group last call ending on August 11 at 9:00am ET.
> 
> Please send your comments to the authors and the list.
> 
> Thanks.
> 
> JP.

Phil

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 02 Aug 2010 22:25:03 +0200

Sorry Phil - ok, there is a LC for Trickle I-D, I missed it, not in my 
mailbox.

Alex

Le 02/08/2010 22:19, Philip Levis a écrit :
>> From: JP Vasseur<[email-masked]>
>> To: ROLL WG<[email-masked]>

---

From: <[email-masked]>
Date: Mon, 2 Aug 2010 22:40:35 +0200

Moving Trickle to Std Track seems the most sensible move to me.
Trickle seems to be applicable to a wide sprectrum of protocols, therefore is likely to be referenced as Normative in several future Std Track documents.

Dominique

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de Kris Pister
Envoyé : lundi 2 août 2010 18:45
À : Pascal Thubert (pthubert)
Cc : [email-masked]
Objet : Re: [Roll] Status change on Trickle I-D (was: Draft ROLLWG minutesposted)

ksjp

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 2 Aug 2010 22:49:28 +0200

Dear Alex,

You are asking me about the strategy for the documents in the wg. I believe that i cannot answer that, as I am not the wg chair.

I do, however, have full confidence that the roll chairs are "doing the sensible thing" - they have thus far -  and I suggest that as attitude until evidence to the contrary.

Thomas  

-- 
Thomas Heide Clausen
http://www.thomasclausen.org

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 02 Aug 2010 22:55:50 +0200

Le 02/08/2010 22:49, Thomas Heide Clausen a écrit :
> Dear Alex,
>
> You are asking me about the strategy for the documents in the wg. I
> believe that i cannot answer that, as I am not the wg chair.
>
> I do, however, have full confidence that the roll chairs are "doing
> the sensible thing" - they have thus far -  and I suggest that as
> attitude until evidence to the contrary.

Sure Thomas - everyone does best to advance.

Alex

---

From: "Mathilde Durvy (mdurvy)" <[email-masked]>
Date: Tue, 3 Aug 2010 17:31:57 +0200

+1

Mathilde

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: lundi, 2. août 2010 22:41
To: [email-masked]
Subject: Re: [Roll] Status change on Trickle I-D (was: DraftROLLWG
minutesposted)

Moving Trickle to Std Track seems the most sensible move to me.
Trickle seems to be applicable to a wide sprectrum of protocols, therefore
is likely to be referenced as Normative in several future Std Track
documents.

Dominique

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de Kris
Pister
Envoyé : lundi 2 août 2010 18:45
À : Pascal Thubert (pthubert)
Cc : [email-masked]
Objet : Re: [Roll] Status change on Trickle I-D (was: Draft ROLLWG
minutesposted)

ksjp

---

From: "Samita Chakrabarti" <[email-masked]>
Date: Tue, 3 Aug 2010 12:07:12 -0700

+1

-Samita

> Sent: Monday, August 02, 2010 1:41 PM
> To: [email-masked]
> Subject: Re: [Roll] Status change on Trickle I-D (was: Draft ROLLWG
> minutesposted)
> 
> Pister Envoyé : lundi 2 août 2010 18:45 À : Pascal Thubert (pthubert) Cc :
> [email-masked] Objet : Re: [Roll] Status change on Trickle I-D (was: Draft
> ROLLWG minutesposted)
>

---

From: Tim Winter <[email-masked]>
Date: Tue, 03 Aug 2010 15:21:54 -0400

I agree with Dominique.

-Tim